# Uses of Enum Class
org.bukkit.block.data.type.Chest.Type

Packages that use Chest.Type
Package
Description
org.bukkit.block.data.type
Specific BlockData classes relevant to only a given block or set of blocks.

## Uses of Chest.Type in org.bukkit.block.data.type

Methods in org.bukkit.block.data.type that return Chest.Type
Modifier and Type
Method
Description
`@NotNull Chest.Type`
Chest.`getType()`
Gets the value of the 'type' property.
`static Chest.Type`
Chest.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Chest.Type[]`
Chest.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.block.data.type with parameters of type Chest.Type
Modifier and Type
Method
Description
`void`
Chest.`setType(@NotNull Chest.Type type)`
Sets the value of the 'type' property.